View Issue Details

IDProjectCategoryView StatusLast Update
0003204SketcherFeaturepublic2017-10-12 09:25
ReporterSparkyColaAssigned ToSparkyCola 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0003204: Improvement of the rectangular selection
DescriptionI would like to add a selection-mode that allows to select objects that are touched as well as those that are fully boxed in addition to the current boxed-only mode. The switching would be the same as in the general rectangular selection, depending on if you draw the selection to the right or the left.
Tagsinput, shortcuts, sketcher

Activities

SparkyCola

2017-10-03 17:41

developer   ~0010239

Last edited: 2017-10-03 17:43

View 2 revisions

I started working on it, already found the function that I need to modify, I also know what I need to change.
I would like to assign this feature request to myself, but can't figure out how I can edit the entry or assign myself otherwise.

Kunda1

2017-10-03 17:47

administrator   ~0010240

@kkremitzki care to bump the privs for @SparkyCola to 'developer' ?

SparkyCola

2017-10-04 20:45

developer   ~0010244

Last edited: 2017-10-04 20:56

View 2 revisions

so far I've implemented a decent version which works perfectly for lines, not too inaccurate for touch-detection of circle, ellipse and all arcs, however splines could use some improvement, for now it should be good enough though.
I also figured out that the performance of the rectangular selection (if it involves a sketch that contains circles, ellipses or arcs) could be increased if only the boundary boxes would get checked instead of 12 or more points per element (if they can be calculated fairly simple).

Kunda1

2017-10-05 04:12

administrator   ~0010246

FreeCAD Pull Request 1017 submitted by SparkyCola. Thanks!
Lets see how the devs respond.

kkremitzki

2017-10-05 16:53

administrator   ~0010249

@Kunda1 done.

Kunda1

2017-10-05 17:02

administrator   ~0010250

Thanks kkremtizki!
@SparkyCola This is unusual to do for a single PR, giving you dev privs. I think it may mean that you should stick around and contribute some more? <wink> Thanks for your contribution.

SparkyCola

2017-10-06 13:39

developer   ~0010251

@Kunda1 I'll definitely stick around and help out, and not only on my own feature requests, this one was meant to be a first start, and thanks for the privs.

SparkyCola

2017-10-06 13:42

developer   ~0010252

Pulled into master-branch on 2017/10(October)/4.

Kunda1

2017-10-06 14:41

administrator   ~0010253

This PR has not been committed yet to master. Unresolving.
Not sure what gave you that impression?
FYI, when resolving, please add the GitHub commit URL
(in a perfect world our bugtracker addon "Source Integration" would do it but that has been malfunctioning). Read more about that at https://freecadweb.org/wiki/tracker#GitHub_and_MantisBT

SparkyCola

2017-10-06 20:09

developer   ~0010256

@Kunda1 sorry my mistake, I somehow thought it was already commited.

wmayer

2017-10-12 09:25

administrator   ~0010293

https://github.com/FreeCAD/FreeCAD/pull/1017/files

Issue History

Date Modified Username Field Change
2017-10-01 00:56 SparkyCola New Issue
2017-10-01 00:56 SparkyCola Tag Attached: input
2017-10-01 00:56 SparkyCola Tag Attached: shortcuts
2017-10-01 00:56 SparkyCola Tag Attached: sketcher
2017-10-03 17:41 SparkyCola Note Added: 0010239
2017-10-03 17:43 SparkyCola Note Edited: 0010239 View Revisions
2017-10-03 17:47 Kunda1 Note Added: 0010240
2017-10-04 20:45 SparkyCola Note Added: 0010244
2017-10-04 20:56 SparkyCola Note Edited: 0010244 View Revisions
2017-10-05 04:12 Kunda1 Note Added: 0010246
2017-10-05 16:53 kkremitzki Note Added: 0010249
2017-10-05 16:55 Kunda1 Assigned To => SparkyCola
2017-10-05 16:55 Kunda1 Status new => assigned
2017-10-05 16:56 Kunda1 Target Version => 0.17
2017-10-05 17:02 Kunda1 Note Added: 0010250
2017-10-06 13:39 SparkyCola Note Added: 0010251
2017-10-06 13:40 SparkyCola Severity minor => feature
2017-10-06 13:42 SparkyCola Status assigned => resolved
2017-10-06 13:42 SparkyCola Resolution open => fixed
2017-10-06 13:42 SparkyCola Note Added: 0010252
2017-10-06 14:41 Kunda1 Status resolved => assigned
2017-10-06 14:41 Kunda1 Note Added: 0010253
2017-10-06 20:09 SparkyCola Note Added: 0010256
2017-10-12 09:25 wmayer Status assigned => closed
2017-10-12 09:25 wmayer Fixed in Version => 0.17
2017-10-12 09:25 wmayer Note Added: 0010293